﻿using System;
using System.Collections.Generic;
using UnityEngine;

public class OnaholeChuBlipDevice : MonoBehaviour
{
	public long rawArrowUp { get; private set; }

	public long rawArrowDown { get; private set; }

	public long rawArrowRight { get; private set; }

	public long rawArrowLeft { get; private set; }

	public float arrowUp
	{
		get
		{
			return (float)this.rawArrowUp * 1.52590219E-05f;
		}
	}

	public float arrowDown
	{
		get
		{
			return (float)this.rawArrowDown * 1.52590219E-05f;
		}
	}

	public float arrowRight
	{
		get
		{
			return (float)this.rawArrowRight * 1.52590219E-05f;
		}
	}

	public float arrowLeft
	{
		get
		{
			return (float)this.rawArrowLeft * 1.52590219E-05f;
		}
	}

	public long rawVertical
	{
		get
		{
			return this.rawArrowUp - this.rawArrowDown;
		}
	}

	public long rawHorizontal
	{
		get
		{
			return this.rawArrowRight - this.rawArrowLeft;
		}
	}

	public float vertical
	{
		get
		{
			return (float)this.rawVertical * 1.52590219E-05f;
		}
	}

	public float horizontal
	{
		get
		{
			return (float)this.rawHorizontal * 1.52590219E-05f;
		}
	}

	public Vector2 inputVec
	{
		get
		{
			return new Vector2(this.vertical, this.horizontal);
		}
	}

	private Dictionary<string, float> data_dic_ = new Dictionary<string, float>();

	private float insertDepth;

	private float pistonSpeed;

	private float pistonSpeedUpdateTime;

	private float calcPistonSpeed;

	private float beforeInsertDepth;

	private float beforeInsertDir;

	private float updateStroke;

	private float stroke;

	private float pistonSmooth = 0.75f;

	private int dir;

	private float decisionInsertDepth;

	private float testDepth;

	private bool buttonA;

	private bool buttonB;

	private bool buttonC;

	private bool beforeButtonA;

	private bool beforeButtonB;

	private bool beforeButtonC;

	public const float RECIPROCAL_ARROW_VALUE = 1.52590219E-05f;
}
